$hash Explicitly creates a hash
Usage
<hash> $hash([<key:string>,<value:variant>,[<key:string>,<value:variant>]],...)
Description
Returns a hash with the specified items. Each <value> is indexed by the preceding <key>. This is just an explicit way of creating a hash with a defined set of items, useful for increasing readability.
Examples
alias(test){ return $hash(1,X,2,Y,3,Z); }; %x = $test(); foreach(%y,%x) { echo %y; } foreach(%y,$keys(%x)) { echo %y }
See also
$array

Index, Functions